Package org.eclipse.emf.cdo.etypes.util

# Class EtypesValidator

java.lang.Object
org.eclipse.emf.ecore.util.EObjectValidator
org.eclipse.emf.cdo.etypes.util.EtypesValidator

All Implemented Interfaces:
  `EValidator`

public class EtypesValidator extends EObjectValidator
The Validator for the model.

Since:
  4.22
See Also:
  - `EtypesPackage`
Generated

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EObjectValidator

`EObjectValidator.DynamicEClassValidator, EObjectValidator.DynamicEDataTypeValidator`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator

`EValidator.Descriptor, EValidator.PatternMatcher, EValidator.Registry, EValidator.SubstitutionLabelProvider, EValidator.ValidationDelegate`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final int`
`DIAGNOSTIC_CODE_COUNT`
A constant with a fixed name that can be used as the base value for additional hand written constants in a derived class.
`static final String`
`DIAGNOSTIC_SOURCE`
A constant for the `source` of diagnostic `codes` from this package.
`static final EtypesValidator`
`INSTANCE`
The cached model package

### Fields inherited from class org.eclipse.emf.ecore.util.EObjectValidator

`DATA_VALUE__FRACTION_DIGITS_IN_RANGE, DATA_VALUE__LENGTH_IN_RANGE, DATA_VALUE__MATCHES_PATTERN, DATA_VALUE__TOTAL_DIGITS_IN_RANGE, DATA_VALUE__TYPE_CORRECT, DATA_VALUE__VALUE_IN_ENUMERATION, DATA_VALUE__VALUE_IN_RANGE, EOBJECT__EVERY_BIDIRECTIONAL_REFERENCE_IS_PAIRED, EOBJECT__EVERY_DATA_VALUE_CONFORMS, EOBJECT__EVERY_KEY_UNIQUE, EOBJECT__EVERY_MAP_ENTRY_UNIQUE, EOBJECT__EVERY_MULTIPCITY_CONFORMS, EOBJECT__EVERY_PROXY_RESOLVES, EOBJECT__EVERY_REFERENCE_IS_CONTAINED, EOBJECT__NO_CIRCULAR_CONTAINMENT, EOBJECT__UNIQUE_ID, ROOT_OBJECT`

### Fields inherited from interface org.eclipse.emf.ecore.EValidator

`MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`EtypesValidator()`
Creates an instance of the switch.

## Method Summary

Modifier and Type
Method
Description
`protected EPackage`
`getEPackage()`
Returns the package of this validator switch.
`ResourceLocator`
`getResourceLocator()`
Returns the resource locator that will be used to fetch messages for this validator's diagnostics.
`protected boolean`
`validate(int classifierID, Object value, DiagnosticChain diagnostics, Map<Object,Object> context)`
Calls `validateXXX` for the corresponding classifier of the model.
`boolean`
`validateAnnotation(Annotation annotation, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean`
`validateAnnotation_WellFormed(Annotation annotation, DiagnosticChain diagnostics, Map<Object,Object> context)`
Validates the WellFormed constraint of 'Annotation'.
`boolean`
`validateAnnotation_WellFormedSourceURI(Annotation annotation, DiagnosticChain diagnostics, Map<Object,Object> context)`
Validates the WellFormedSourceURI constraint of 'Annotation'.
`boolean`
`validateBlob(CDOBlob blob, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean`
`validateBranchPointRef(CDOBranchPointRef branchPointRef, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean`
`validateBranchRef(CDOBranchRef branchRef, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean`
`validateClassifierRef(CDOClassifierRef classifierRef, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean`
`validateClob(CDOClob clob, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean`
`validateInputStream(InputStream inputStream, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean`
`validateLob(CDOLob<?> lob, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean`
`validateModelElement(ModelElement modelElement, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean`
`validateReader(Reader reader, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean`
`validateStringToStringMapEntry(Map.Entry<?,?> stringToStringMapEntry, DiagnosticChain diagnostics, Map<Object,Object> context)`

### Methods inherited from class org.eclipse.emf.ecore.util.EObjectValidator

`createBadDataValueDiagnostic, createDiagnostic, getAvailableChoices, getEcoreResourceLocator, getEcoreString, getFeatureLabel, getObjectLabel, getRootEValidator, getString, getValidationDelegateRegistry, getValueLabel, isEcoreString, reportConstraintDelegateException, reportConstraintDelegateException, reportConstraintDelegateNotFound, reportConstraintDelegateNotFound, reportConstraintDelegateViolation, reportConstraintDelegateViolation, reportDataValuePatternViolation, reportDataValueTypeViolation, reportEnumerationViolation, reportFractionDigitsViolation, reportInvariantDelegateException, reportInvariantDelegateNotFound, reportInvariantDelegateViolation, reportMaxLengthViolation, reportMaxViolation, reportMinLengthViolation, reportMinViolation, reportTotalDigitsViolation, validate, validate, validate, validate, validate, validate, validate_BidirectionalReferenceIsPaired, validate_DataValueConforms, validate_EveryBidirectionalReferenceIsPaired, validate_EveryDataValueConforms, validate_EveryDefaultConstraint, validate_EveryKeyUnique, validate_EveryMapEntryUnique, validate_EveryMultiplicityConforms, validate_EveryProxyResolves, validate_EveryReferenceIsContained, validate_KeyUnique, validate_MapEntryUnique, validate_MultiplicityConforms, validate_NoCircularContainment, validate_UniqueID, validatePattern, wrapEnumerationValues`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final EtypesValidator INSTANCE
The cached model package

Generated

### DIAGNOSTIC_SOURCE

public static final String DIAGNOSTIC_SOURCE
A constant for the `source` of diagnostic `codes` from this package.

See Also:
  - `Diagnostic.getSource()`
  - `Diagnostic.getCode()`
  - Constant Field Values
Generated

### DIAGNOSTIC_CODE_COUNT

protected static final int DIAGNOSTIC_CODE_COUNT
A constant with a fixed name that can be used as the base value for additional hand written constants in a derived class.

See Also:
  - Constant Field Values
Generated

## Constructor Details

### EtypesValidator

public EtypesValidator()
Creates an instance of the switch.

Generated

## Method Details

### getEPackage

protected EPackage getEPackage()
Returns the package of this validator switch.

Overrides:
  `getEPackage` in class `EObjectValidator`
Generated

### validate

protected boolean validate(int classifierID, Object value, DiagnosticChain diagnostics, Map<Object,Object> context)
Calls `validateXXX` for the corresponding classifier of the model.

Overrides:
  `validate` in class `EObjectValidator`
Generated

### validateModelElement

public boolean validateModelElement(ModelElement modelElement, DiagnosticChain diagnostics, Map<Object,Object> context)

Generated

### validateAnnotation

public boolean validateAnnotation(Annotation annotation, DiagnosticChain diagnostics, Map<Object,Object> context)

Generated

### validateAnnotation_WellFormed

public boolean validateAnnotation_WellFormed(Annotation annotation, DiagnosticChain diagnostics, Map<Object,Object> context)
Validates the WellFormed constraint of 'Annotation'.

Generated
  NOT

### validateAnnotation_WellFormedSourceURI

public boolean validateAnnotation_WellFormedSourceURI(Annotation annotation, DiagnosticChain diagnostics, Map<Object,Object> context)
Validates the WellFormedSourceURI constraint of 'Annotation'.

Generated
  NOT

### validateStringToStringMapEntry

public boolean validateStringToStringMapEntry(Map.Entry<?,?> stringToStringMapEntry, DiagnosticChain diagnostics, Map<Object,Object> context)

Generated

### validateBlob

public boolean validateBlob(CDOBlob blob, DiagnosticChain diagnostics, Map<Object,Object> context)

Generated

### validateClob

public boolean validateClob(CDOClob clob, DiagnosticChain diagnostics, Map<Object,Object> context)

Generated

### validateLob

public boolean validateLob(CDOLob<?> lob, DiagnosticChain diagnostics, Map<Object,Object> context)

Generated

### validateInputStream

public boolean validateInputStream(InputStream inputStream, DiagnosticChain diagnostics, Map<Object,Object> context)

Generated

### validateReader

public boolean validateReader(Reader reader, DiagnosticChain diagnostics, Map<Object,Object> context)

Generated

### validateClassifierRef

public boolean validateClassifierRef(CDOClassifierRef classifierRef, DiagnosticChain diagnostics, Map<Object,Object> context)

Generated

### validateBranchRef

public boolean validateBranchRef(CDOBranchRef branchRef, DiagnosticChain diagnostics, Map<Object,Object> context)

Generated

### validateBranchPointRef

public boolean validateBranchPointRef(CDOBranchPointRef branchPointRef, DiagnosticChain diagnostics, Map<Object,Object> context)

Generated

### getResourceLocator

public ResourceLocator getResourceLocator()
Returns the resource locator that will be used to fetch messages for this validator's diagnostics.

Overrides:
  `getResourceLocator` in class `EObjectValidator`
Generated
  NOT